org.apache.xmlbeans.impl.schema

## Class SchemaGlobalElementImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaParticleImpl
  - - org.apache.xmlbeans.impl.schema.SchemaLocalElementImpl
    - - org.apache.xmlbeans.impl.schema.SchemaGlobalElementImpl

All Implemented Interfaces:
  SchemaAnnotated, SchemaComponent, SchemaField, SchemaGlobalElement, SchemaLocalElement, SchemaParticle, SchemaWSDLArrayType

    public class SchemaGlobalElementImpl
    extends SchemaLocalElementImpl
    implements SchemaGlobalElement

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.xmlbeans.SchemaGlobalElement

`SchemaGlobalElement.Ref`

### Field Summary

### Fields inherited from class org.apache.xmlbeans.impl.schema.SchemaLocalElementImpl

`_abs`

### Fields inherited from class org.apache.xmlbeans.impl.schema.SchemaParticleImpl

`_parseObject`

### Fields inherited from interface org.apache.xmlbeans.SchemaComponent

`ANNOTATION, ATTRIBUTE, ATTRIBUTE_GROUP, ELEMENT, IDENTITY_CONSTRAINT, MODEL_GROUP, NOTATION, TYPE`

### Fields inherited from interface org.apache.xmlbeans.SchemaParticle

`ALL, CHOICE, ELEMENT, LAX, SEQUENCE, SKIP, STRICT, WILDCARD`

### Constructor Summary

Constructors
Constructor and Description
`SchemaGlobalElementImpl(org.apache.xmlbeans.impl.schema.SchemaContainer container)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSubstitutionGroupMember(QName name)`
`boolean` `finalExtension()` True if using this element as the head of a substitution group for a substitution via type extension is prohibited.
`boolean` `finalRestriction()` True if using this element as the head of a substitution group for a substitution via type restriction is prohibited.
`String` `getChameleonNamespace()`
`SchemaComponent.Ref` `getComponentRef()` Used for on-demand loading of schema components.
`int` `getComponentType()` Returns the type code for the schema object, either `SchemaComponent.TYPE`, `SchemaComponent.ELEMENT`, `SchemaComponent.ATTRIBUTE`, `SchemaComponent.ATTRIBUTE_GROUP`, `SchemaComponent.MODEL_GROUP`, `SchemaComponent.IDENTITY_CONSTRAINT`, or `SchemaComponent.NOTATION`.
`XmlObject` `getParseObject()`
`SchemaGlobalElement.Ref` `getRef()` Retruns a SchemaGlobalElement.Ref pointing to this element itself.
`String` `getSourceName()` The name of resource that represends the source .xsd in which this component was defined (if known) See: `SchemaTypeLoader.getSourceAsStream(String)` Example:
`String` `getTargetNamespace()`
`SchemaTypeSystem` `getTypeSystem()` Returns the typesystem within which this component definition resides
`void` `setFilename(String filename)`
`void` `setParseContext(XmlObject parseObject, String targetNamespace, boolean chameleon)`
`void` `setSubstitutionGroup(SchemaGlobalElement.Ref sg)`
`SchemaGlobalElement` `substitutionGroup()` The element that is the head of this element's substitution group, or `null` if this element is not a member of a substitution group.
`QName[]` `substitutionGroupMembers()` Set of QNames for elements that are the members of the substitution group for which this element is the head, not including this element.

### Methods inherited from class org.apache.xmlbeans.impl.schema.SchemaLocalElementImpl

`blockExtension, blockRestriction, blockSubstitution, getAnnotation, getIdentityConstraintRefs, getIdentityConstraints, getWSDLArrayType, isAbstract, setAbstract, setAnnotation, setBlock, setIdentityConstraints, setWsdlArrayType`

### Methods inherited from class org.apache.xmlbeans.impl.schema.SchemaParticleImpl

`acceptedStartNames, canStartWithElement, countOfParticleChild, getDefaultText, getDefaultValue, getDocumentation, getExcludeNextSet, getIntMaxOccurs, getIntMinOccurs, getMaxOccurs, getMinOccurs, getName, getParticleChild, getParticleChildren, getParticleType, getType, getUserData, getWildcardProcess, getWildcardSet, hasTransitionNotes, hasTransitionRules, isAttribute, isDefault, isDeterministic, isFixed, isNillable, isSingleton, isSkippable, isTypeResolved, mutate, resolveTypeRef, setDefault, setDefaultValue, setImmutable, setMaxOccurs, setMinOccurs, setNameAndTypeRef, setNillable, setParticleChildren, setParticleType, setTransitionNotes, setTransitionRules, setUserData, setWildcardProcess, setWildcardSet`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.xmlbeans.SchemaLocalElement

`blockExtension, blockRestriction, blockSubstitution, getIdentityConstraints, isAbstract`

### Methods inherited from interface org.apache.xmlbeans.SchemaField

`getDefaultText, getDefaultValue, getMaxOccurs, getMinOccurs, getName, getType, getUserData, isAttribute, isDefault, isFixed, isNillable`

### Methods inherited from interface org.apache.xmlbeans.SchemaAnnotated

`getAnnotation`

### Methods inherited from interface org.apache.xmlbeans.SchemaComponent

`getName`

### Constructor Detail

#### SchemaGlobalElementImpl

    public SchemaGlobalElementImpl(org.apache.xmlbeans.impl.schema.SchemaContainer container)

### Method Detail

#### getTypeSystem

    public SchemaTypeSystem getTypeSystem()

Description copied from interface: `SchemaComponent`
Returns the typesystem within which this component definition resides

Specified by:
  `getTypeSystem` in interface `SchemaComponent`

#### getSourceName

    public String getSourceName()

Description copied from interface: `SchemaComponent`
The name of resource that represends the source .xsd in which this component was defined (if known)
See: `SchemaTypeLoader.getSourceAsStream(String)`
Example:

       SchemaType schemaType = ..;
       InputStream is = schemaType.getTypeSystem().getSourceAsStream(schemaType.getSourceName());

Specified by:
  `getSourceName` in interface `SchemaComponent`

#### setFilename

    public void setFilename(String filename)

#### getComponentType

    public int getComponentType()

Description copied from interface: `SchemaComponent`
Returns the type code for the schema object, either `SchemaComponent.TYPE`, `SchemaComponent.ELEMENT`, `SchemaComponent.ATTRIBUTE`, `SchemaComponent.ATTRIBUTE_GROUP`, `SchemaComponent.MODEL_GROUP`, `SchemaComponent.IDENTITY_CONSTRAINT`, or `SchemaComponent.NOTATION`.

Specified by:
  `getComponentType` in interface `SchemaComponent`

#### substitutionGroup

    public SchemaGlobalElement substitutionGroup()

Description copied from interface: `SchemaGlobalElement`
The element that is the head of this element's substitution group, or `null` if this element is not a member of a substitution group.

Specified by:
  `substitutionGroup` in interface `SchemaGlobalElement`

#### setSubstitutionGroup

    public void setSubstitutionGroup(SchemaGlobalElement.Ref sg)

#### substitutionGroupMembers

    public QName[] substitutionGroupMembers()

Description copied from interface: `SchemaGlobalElement`
Set of QNames for elements that are the members of the substitution group for which this element is the head, not including this element.

Specified by:
  `substitutionGroupMembers` in interface `SchemaGlobalElement`

#### addSubstitutionGroupMember

    public void addSubstitutionGroupMember(QName name)

#### finalExtension

    public boolean finalExtension()

Description copied from interface: `SchemaGlobalElement`
True if using this element as the head of a substitution group for a substitution via type extension is prohibited. If both finalExtension and finalRestriction are true, this element cannot be head of a substitution group. Sensible only for global elements.

Specified by:
  `finalExtension` in interface `SchemaGlobalElement`

#### finalRestriction

    public boolean finalRestriction()

Description copied from interface: `SchemaGlobalElement`
True if using this element as the head of a substitution group for a substitution via type restriction is prohibited. If both finalExtension and finalRestriction are true, this element cannot be head of a substitution group. Sensible only for global elements.

Specified by:
  `finalRestriction` in interface `SchemaGlobalElement`

#### setParseContext

    public void setParseContext(XmlObject parseObject,
                                String targetNamespace,
                                boolean chameleon)

#### getParseObject

    public XmlObject getParseObject()

#### getTargetNamespace

    public String getTargetNamespace()

#### getChameleonNamespace

    public String getChameleonNamespace()

#### getRef

    public SchemaGlobalElement.Ref getRef()

Description copied from interface: `SchemaGlobalElement`
Retruns a SchemaGlobalElement.Ref pointing to this element itself.

Specified by:
  `getRef` in interface `SchemaGlobalElement`

#### getComponentRef

    public SchemaComponent.Ref getComponentRef()

Description copied from interface: `SchemaComponent`
Used for on-demand loading of schema components.

Specified by:
  `getComponentRef` in interface `SchemaComponent`